Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1061375 - %kernel_source macro is broken
Summary: %kernel_source macro is broken
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-rpm-config
Version: 20
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Florian Festi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-04 17:41 UTC by m
Modified: 2015-05-29 12:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 648996
Environment:
Last Closed: 2015-05-29 12:25:17 UTC


Attachments (Terms of Use)

Description m 2014-02-04 17:41:44 UTC
This breaks again in Fedora 20.

With spec file:

...
for flavor in %flavors_to_build; do
  ...
  make -C %{kernel_source $flavor}


flavor expands to 'default', %{kernel_source $flavor} expands to:
  /usr/src/kernels/3.12.9-301.fc20-x86_64
                                  ^
The path on f20 is actually:
  /usr/src/kernels/3.12.9-301.fc20.x86_64
                                  ^
(note the dash vs dot)

Possible fix:

echo "%%global kernel_source() /usr/src/kernels/%kverrel\\\$([ %%%%{1} = default ] || echo "%%%%{1}").%_target_cpu"




+++ This bug was initially created as a clone of Bug #648996 +++

Description of problem:

In /usr/lib/rpm/redhat/macros there is a definition of kernel_source() macro inside the %kernel_module_package. Pay attention that %_target_cpu is delimited from kernel version by a dash sign (-) here. In directory name /usr/src/kernels/2.6.35.6-45.fc14.i686 (which is carried by kernel-devel package) an architecture is delimited fro kernel version by a point sign (.).

%kernel_source macro is broken due to this mismatch.

Version-Release number of selected component (if applicable):

kernel-devel-2.6.35.6-45.fc14.i686.rpm
redhat-rpm-config-9.1.0-5.fc14.noarch.rpm

Fedora 12 and 13 are also affected.

--- Additional comment from Jon Masters on 2010-11-16 02:49:10 EST ---

I can take this. Note that these macros are really part of driver updates that aren't used in Fedora. Still, I might aswell fix the macros as they don't hurt either. I'll pull in the latest versions from RHEL6.

--- Additional comment from Fedora End Of Life on 2012-08-16 17:56:13 EDT ---

This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from Matwey V. Kornilov on 2012-10-03 12:03:26 EDT ---

It is still not fixed for Fedora 17.

--- Additional comment from Toshio Ernie Kuratomi on 2012-10-03 13:36:30 EDT ---

Is this the correct patch for this issue?  I only run fedora so I don't make use of this macro.

--- Additional comment from Fedora Update System on 2012-10-03 21:06:43 EDT ---

redhat-rpm-config-9.1.0-34.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/redhat-rpm-config-9.1.0-34.fc18

--- Additional comment from Fedora Update System on 2012-10-04 13:48:26 EDT ---

Package redhat-rpm-config-9.1.0-34.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing redhat-rpm-config-9.1.0-34.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15361/redhat-rpm-config-9.1.0-34.fc18
then log in and leave karma (feedback).

--- Additional comment from Toshio Ernie Kuratomi on 2012-11-09 06:50:24 EST ---

This has been pushed to F18 stable.

Comment 1 Fedora Admin XMLRPC Client 2014-11-14 07:24:58 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora End Of Life 2015-05-29 10:48:28 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Florian Festi 2015-05-29 12:25:17 UTC
This looks fixed in the sources. Please reopen if this issue still exists.


Note You need to log in before you can comment on or make changes to this bug.